EDIT - bug #8423

OccurrenceServicelmpl.findFieldUnitDTO() fails to merge derivation paths when a FieldUnit has two
derivatives

07/30/2019 03:01 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib-remote Estimated time: 0:00 hour
Target version: Release 5.18

Severity: normal Found in Version:

Description

OccurrenceServicelmpl.findFieldUnitDTO(DerivateDTO derivedUnitDTO, Collection fieldUnits, HashMap alreadyCollectedSpecimen)

what is working:

—-——— Derivate
/
FieldUnit -- Derivate —-—
\
—-——— Derivate
what is not working:
—-——— Derivate
/
FieldUnit --
\
—-——— Derivate

see also the discussion starting with #7599#note-28

Related issues:

Related to EDIT - task #8414: occurrence controller code cleaning and harmoni... Closed
Related to EDIT - task #8458: document FieldUnitDTOOccurrenceServicelmpl.find... Closed
Related to EDIT - task #9253: revise OccurrenceServicelmpl.findFieldUnitDTO(..) Closed
Related to EDIT - feature request #7704: Dataportal specimen table should be ... Closed

Associated revisions

Revision b1a675d1 - 10/15/2020 05:40 PM - Andreas Kohlbecker
ref #8423 ref #9253, ref #9252 fixing duplicate addition of DerivedUnitDTOs

Revision 864cab25 - 10/15/2020 09:26 PM - Andreas Kohlbecker

ref #8423 raising log level of problematic situation and code cleaning

Revision e4979fe2 - 10/16/2020 08:58 AM - Andreas Kohlbecker
ref #8423 OccurrenceServicelmpl.findFieldUnitDTO() : fixing merge problem of derivate paths

Revision eacfiee2 - 10/16/2020 12:06 PM - Andreas Kohlbecker

ref #9252, ref #8423 adapting specimen tree view to fixed derivate path mergring and other changes

History

#1 - 07/30/2019 03:02 PM - Andreas Kohlbecker

- Related to task #8414: occurrence controller code cleaning and harmonization added

#2 - 10/15/2020 10:57 AM - Andreas Kohlbecker
- Related to task #8458: document FieldUnitDTOOccurrenceServicelmpl.findFieldUnitDTO() added
#3 - 10/15/2020 11:09 AM - Andreas Kohlbecker
- Related to task #9253: revise OccurrenceServicelmpl.findFieldUnitDTO(..) added

#4 - 10/15/2020 09:30 PM - Andreas Kohlbecker
- Description updated

- Status changed from New to In Progress

#5 - 10/15/2020 09:31 PM - Andreas Kohlbecker

- Target version changed from Unassigned CDM tickets to Release 5.18

#6 - 10/16/2020 08:59 AM - Andreas Kohlbecker
- Status changed from In Progress to Closed

- Priority changed from New to Highest

- % Done changed from 0 to 50

#7 - 10/16/2020 08:59 AM - Andreas Kohlbecker

- Status changed from Closed to Resolved

#8 - 01/18/2021 11:53 AM - Andreas Kohlbecker
- Related to feature request #7704: Dataportal specimen table should be able to show DerivedUnits without a FieldUnit added

#9 - 01/25/2021 07:22 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

works as expected
